Name:		fop
Summary:	XSL-driven print formatter
Version:	1.1
Release:	%mkrel 4
# ASL 1.1:
# several files in src/java/org/apache/fop/render/awt/viewer/resources/
# rest is ASL 2.0
License:	ASL 2.0 and ASL 1.1
Group:          Development/Java
URL:		http://xmlgraphics.apache.org/fop
# ./clean-tarball %{version}
Source0:	%{name}-%{version}-clean.tar.gz
Source1:	%{name}.script
Source2:	batik-pdf-MANIFEST.MF
Source3:	http://mirrors.ibiblio.org/pub/mirrors/maven2/org/apache/xmlgraphics/%{name}/%{version}/%{name}-%{version}.pom
Source4:	http://www.apache.org/licenses/LICENSE-1.1.txt
Patch0:		%{name}-main.patch
Patch1:		%{name}-Use-sRGB.icc-color-profile-from-icc-profiles-openicc.patch

BuildArch:	noarch

Requires:	xmlgraphics-commons >= 1.5
Requires:	avalon-framework >= 4.1.4
Requires:	batik >= 1.7
Requires:	xalan-j2 >= 2.7.0
Requires:	xml-commons-apis >= 1.3.04
Requires:	jakarta-commons-httpclient
Requires:	apache-commons-io >= 1.2
Requires:	apache-commons-logging >= 1.0.4
Requires:	java
Requires:	icc-profiles-openicc

BuildRequires:	ant
BuildRequires:	java-devel
BuildRequires:	apache-commons-logging
BuildRequires:	apache-commons-io
BuildRequires:	avalon-framework
BuildRequires:	xmlgraphics-commons >= 1.5
BuildRequires:	batik
BuildRequires:	servlet
BuildRequires:	qdox
BuildRequires:	xmlunit
BuildRequires:	zip
BuildRequires:	junit

%description
FOP is the world's first print formatter driven by XSL formatting
objects. It is a Java application that reads a formatting object tree
and then turns it into a PDF document. The formatting object tree, can
be in the form of an XML document (output by an XSLT engine like XT or
Xalan) or can be passed in memory as a DOM Document or (in the case of
XT) SAX events.

%package javadoc
Summary:	Javadoc for %{name}

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

cp %{SOURCE4} LICENSE-1.1

sed -i -e "s|1.4|1.5|g" build.xml

#upstream workaround -- many thanks to spepping@apache.org -- see https://issues.apache.org/bugzilla/show_bug.cgi?id=50575
ln -s %{_javadir}/qdox.jar lib/build/qdox.jar

%build
#qdox intentionally left off classpath -- see https://issues.apache.org/bugzilla/show_bug.cgi?id=50575
export CLASSPATH=$(build-classpath apache-commons-logging apache-commons-io xmlgraphics-commons batik-all avalon-framework-api avalon-framework-impl servlet batik/batik-svg-dom xml-commons-apis xml-commons-apis-ext objectweb-asm/asm-all xmlunit)
ant jar-main transcoder-pkg javadocs

%install
# inject OSGi manifests
install -d -m 755 META-INF
install -p -m 644 %{SOURCE2} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/%{name}.jar META-INF/MANIFEST.MF

# jars
install -d -m 755 %{buildroot}%{_javadir}
install -p -m 644 build/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar
install -p -m 644 build/%{name}-transcoder.jar %{buildroot}%{_javadir}/pdf-transcoder.jar

# script
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 %{SOURCE1} %{buildroot}%{_bindir}/fop

# data
install -d -m 755 %{buildroot}%{_datadir}/%{name}/conf
cp -rp conf/* %{buildroot}%{_datadir}/%{name}/conf

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp build/javadocs/* %{buildroot}%{_javadocdir}/%{name}

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -p -m 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%doc LICENSE LICENSE-1.1 README NOTICE
%{_javadir}/%{name}.jar
%{_datadir}/%{name}
%{_javadir}/pdf-transcoder.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom
%{_bindir}/fop

%files javadoc
%doc %{_javadocdir}/%{name}
%doc LICENSE LICENSE-1.1




%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 537734
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.1-3.mga4
+ Revision: 487588
- Remove  jakarta-commons-logging and old servlet BR

* Mon Jul 29 2013 dmorgan <dmorgan> 1.1-2.mga4
+ Revision: 460253
- Remove ant-trax from BR

* Wed Jun 05 2013 shlomif <shlomif> 1.1-1.mga4
+ Revision: 437730
- New version 1.1. Thanks to the Fedora for parts of the .src.rpm

* Fri Jan 11 2013 umeabot <umeabot> 1.0-5.mga3
+ Revision: 350774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 16 2012 dmorgan <dmorgan> 1.0-4.mga3
+ Revision: 271303
- Fix jakarta-commons-io deps to apache-commons-io

* Sat Mar 24 2012 gil <gil> 1.0-3.mga3
+ Revision: 226074
- correct depmap
- build fix added fop-hyph pom

* Thu Sep 29 2011 gil <gil> 1.0-2.mga2
+ Revision: 150328
- * rebuilt with system libraries and remove all bundled jars and classes
  * update manifest patch(0)
  * added OSGi manifest to unbreak Eclipse stack
  * added m2 pom
  * update offo hyphenation source package
  * added more BuildRequires
  * added workaround for bug/zilla id 50575
  * added %%pre javadoc script

* Thu Sep 29 2011 shlomif <shlomif> 1.0-1.mga2
+ Revision: 150263
- New 1.0 version

  + gil <gil>
    - added offo hyphenation support
    - edit fop script added new avalon-framework in classpath

  + dmorgan <dmorgan>
    - Requires java instead of openjdk 1.6.0 ( mga #2515)

* Thu Apr 28 2011 dmorgan <dmorgan> 0.95-8.mga1
+ Revision: 92513
- Add zip as buildrequires
- Rebuild after bootstrapping
- imported package fop


* Thu Mar 25 2010 Mary Ellen Foster <mefoster@gmail.com> - 0.95-5
- Add maven depmap fragment
- Add dist to version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 6 2009 Alexander Kurtakov <akurtako@redhat.com> 0.95-2
- Add OSGi manifest (needed for eclipse-birt).

* Thu Dec 18 2008 Lubomir Rintel <lkundrak@v3.sk> - 0.95-1
- New upstream release

* Wed Apr  2 2008 Lillian Angel <langel at redhat.com> - 0.95.0.2.beta1
- Updated release.

* Tue Apr  1 2008 Lillian Angel <langel at redhat.com> - 0.95.0.1.beta1
- Added CLASSPATH to fop.script.

* Mon Mar 31 2008 Lillian Angel <langel at redhat.com> - 0.95.0.1.beta1
- Updated sources to 0.95 beta.
- Updated patches.
- Updated release.

* Mon Mar 31 2008 Lillian Angel <langel at redhat.com> - 0.94.4
- Updated CLASSPATH.
- Updated release.

* Mon Mar 31 2008 Lillian Angel <langel at redhat.com> - 0.94.3
- Fixed JAVA_HOME to point to openjdk, instead of icedtea.

* Mon Mar 31 2008 Lillian Angel <langel at redhat.com> - 0.94.3
- Updated build requirements and requirements to include java-1.6.0-openjdk.
- Updated release.

* Fri Dec  7 2007 Lillian Angel <langel at redhat.com> - 0.94-2
- Updated Release.

* Thu Dec  6 2007 Lillian Angel <langel at redhat.com> - 0.94-1
- Removed ppc/64 conditions since IcedTea is now available for ppc/64.

* Tue Nov 27 2007 Lillian Angel <langel at redhat.com> - 0.94-1
- Fixed to build with gcj on ppc/64.

* Fri Nov 23 2007 Lillian Angel <langel at redhat.com> - 0.94-1
- Fixed rpmlint errors.

* Tue Sep 18 2007 Joshua Sumali <jsumali at redhat.com> - 0:0.94-1
- Update to fop 0.94

* Thu Mar 30 2006 Ralph Apel <r.apel at r-apel.de> - 0:0.20.5-9jpp
- First build for JPP-1.7
- Replace avalon-framework, avalon-logkit with their new excalibur-*
  counterparts
- Drop non-free jimi and jai BRs

* Tue Oct 11 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.20.5-8jpp
- Patch to Batik >= 1.5.1

* Fri Oct 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.20.5-7jpp
- Omit ant -d flag

* Mon Aug 23 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.20.5-6jpp
- Build with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.20.5-5jpp
- Void change

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.20.5-4jpp
- Upgrade to Ant 1.6.X

* Thu Jan  8 2004 Ville SkyttÃ¤ <ville.skytta at iki.fi> - 0:0.20.5-3jpp
- BuildRequires ant-optional.
- Crosslink with full J2SE javadocs instead of just JAXP/XML-commons.
- Add Main-Class back to manifest.

* Tue Sep 23 2003 Paul Nasrat <pauln at truemesh.com> - 0:0.20.5-2jpp
- Fix script and requires
- Remove class path in manifest
- New javadoc style

* Sat Jul 19 2003 Ville SkyttÃ¤ <ville.skytta at iki.fi> - 0:0.20.5-1jpp
- Update to 0.20.5.
- Crosslink with xml-commons-apis and batik javadocs.
- BuildRequires jai, jce and jimi.

* Sat Jun  7 2003 Ville SkyttÃ¤ <ville.skytta at iki.fi> - 0:0.20.5-0.rc3a.1jpp
- Update to 0.20.5rc3a.
- Include fop script.
- Non-versioned javadoc symlinks.

* Thu Apr 17 2003 Ville SkyttÃ¤ <ville.skytta at iki.fi> - 0:0.20.5-0.rc2.1jpp
- Update to 0.20.5rc2 and JPackage 1.5.

* Sun Mar 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.3-1jpp
- 0.20.3 final
- fixed missing symlink

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.3-0.rc.1jpp
- 0.20.3rc
- first unified release
- javadoc into javadoc package
- no dependencies for manual package
- s/jPackage/JPackage
- adaptation to new xalan-j2 package
- requires and buildrequires avalon-logkit

* Thu Aug 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.1-1mdk
- first release
